<script>
	export default {
		onLaunch: function() {
			// 读取手机状态栏高度
			const app = uni.getWindowInfo()
			this.$store.commit('app/SET_statusBarHeight', app.statusBarHeight || 30)
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	/* import "@/static/fontsize/iconfont.css" */
	@import '~./static/css/index.scss';
	@import url('@/static/fontsize/iconfont.css');

	/*每个页面公共css */
	* {
		box-sizing: border-box;
	}

	page {
		background-color: #fff;
	}

	/* 一行超出点点 */
	.hide_1 {
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
		word-wrap: break-word;
	}

	/* 2行超出点点 */
	.hide_2 {
		display: -webkit-box;
		word-break: break-all;
		text-overflow: ellipsis;
		overflow: hidden;
		white-space: pre-line;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 2;
	}

	/* 3行超出点点 */
	.hide_3 {
		display: -webkit-box;
		word-break: break-all;
		text-overflow: ellipsis;
		overflow: hidden;
		white-space: pre-line;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 3;
	}

	/* 	.bg-color{
		background-color: #fff;
	}
	.box-pad{
		padding-left: 30rpx;
		padding: 30rpx $pages-padding 20rpx;
	} */
	.table-box {
		width: 100% !important;

		.uni-table {
			width: 100% !important;
			min-width: 100% !important;

		}
	}

	::v-deep uni-tabbar {
		z-index: 88 !important;
	}
</style>